Results 1 to 33 of 33

Thread: WPA Phishing with linsetmv1-1.sh A Musket Team Field Version Release

  1. #1
    Join Date
    2013-Jul
    Posts
    841

    WPA Phishing with linsetmv1-1.sh A Musket Team Field Version Release

    Musket Teams have been testing a Spanish WPA Phishing program call linset easily downloaded from the net. If you want the stock program go here, but we suggest you read further before you bother with the stock program.

    http://sourceforge.net/p/linset/Code...er/tree/linset

    The program has two(2) methods of obtaining a WPA key. One(1) is to obtain a handshake and the other is to phish for the key. MTeams ONLY dealt with the phishing aspects of this script.

    When tests on the program began, it was initially thought that only a few minor tweaks would be necessary to get the program to fully function. Unfortunately the phishing portion of the program was bugged out and numerous corrections were necessary to get this module operational.

    The phishing module has now been rewritten and the bugs corrected to allow WPA Phishing. We have decided to release this Musket Field Version of linset designed specifically for WPA phishing for general use.

    The program uses lighttpd. but unlike apache2 we have been unable to get lighttpd to accept https requests. Should a method be found we will advise here. We spent days on the problem and got nowhere.

    The same bug found in Aerial was found in linset and that is, if a space is found in the ESSID or router name, then airbase-ng fails. This is because airbase-ng is running in an xterm window. This bug has been corrected is the Musket Field Version.

    The stock program web pages did not show some data because a variable is assigned a value before the variable is computed hence the variable is null. The routers' vendor name is one(1) example. This bug is corrected is the Musket Version.

    The phishing pages did not work. This was traced to the way linset loads the php file necessary to run the web pages. The Musket Version corrects all these web page errors and sets up the phishing module for WPA Phishing.

    Some of the Spanish has been translated to English.

    You can download a zip file from:

    http://www.datafilehost.com/d/62e33956

    The zip file contains a help file, linset folder and the linsetmv1-1.sh


    Musket Teams

  2. #2
    Join Date
    2014-Oct
    Posts
    14
    Gonna test this when I get the chance, thanks for sharing.

    Latest Linset can be found on its release page here.

    Is the file you modified from the website above or from your provided link? The website I provide seems to have the latest version.

  3. #3
    Join Date
    2013-Jul
    Posts
    841
    To Scolder

    The datahost is MTeams version. We worked thru the bugs found in the scourgeforce version. We suggest you read the help file in the datahost MTeams version as it explains the technical problems surrounding WPA Phishing. Furthermore we have outlined the major bugs we found and how they were corrected.

    The MTeams version is also available via a thread in the aircrack-ng forums.

  4. #4
    Join Date
    2014-Oct
    Posts
    14
    I understand, I just wanted to point out that the sourceforge version isn't the most updated script. The latest one can be found in the link provided. Just incase the bugs you are going out of your way to resolve have already been taken care of in one of the later releases by the author.

    Thanks for the share.

  5. #5
    Join Date
    2013-Jul
    Posts
    841
    To: Scolder

    First thanks for noting the newer version!

    We were only able to download linset version 1.4 at the address below.

    https://github.com/vk496/linset

    AS you noted you had interest in using this program in the field we provide the following.

    Using the latest Kali-linux we ran thru some tests to see if the major bugs had been corrected.We only tested the phishing module as the handshake module holds no interest to us.

    The only bug corrected deals with showing the device vendor.

    Major Bugs in the stock 1.4 version remaining

    If the targetAP has a space in the name the program crashes. This is a problem with airbase-ng when run in an xterm window. The musket version solves this.

    The three(3) web phishing pages still do not work together correctly. This is a problem in the way the php file which runs the web pages is produced as a text file. The musket version solves this.

    The phishing concept in the stock linset 1.4 version is the old techdynamics approach. Read the comments in the help file that comes with the musket version to understand the differences.

    Again Thanks!!

    MTeams

  6. #6
    Join Date
    2014-Jun
    Posts
    71
    Hi thanks for sharing.

    I am unable to install Lighttpd and Php5-cgi , if someone could shine some light and help me out.

    This is what I get
    apt-get install lighttpd
    Reading package lists... Done
    Building dependency tree

    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    libglib2.0-0 : Recommends: xdg-user-dirs but it is not going to be installed
    Breaks: glib-networking (< 2.33.12) but 2.32.3-1 is to be installed
    libnm-gtk0 : Breaks: network-manager-gnome (< 0.9.10.0) but 0.9.4.1-5 is to be installed
    ppp : Breaks: network-manager (< 0.9.8.8-7~) but 0.9.4.0-10 is to be installed
    E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

    apt-get install php5-cgi
    Reading package lists... Done
    Building dependency tree

    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    libnm-gtk0 : Breaks: network-manager-gnome (< 0.9.10.0) but 0.9.4.1-5 is to be installed
    ppp : Breaks: network-manager (< 0.9.8.8-7~) but 0.9.4.0-10 is to be installed
    E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
    root@kali:/media/sf_Shared_folder_Virtual_Box/linset-master#
    Last edited by frafri; 2015-03-14 at 02:28.

  7. #7
    Join Date
    2014-Feb
    Posts
    4
    Please ignore the previous, I see that there is a check box "Use our download manager and get recommended downloads" was checked, unchecked this and got the zip file, now to see what has been install on my PC: Mad:

  8. #8
    Join Date
    2013-Jul
    Posts
    841
    We have installed on harddrive installs of kali-linux ONLY. We have not tried persistent usb installs or virtual box

    We used the following sources.list file as seen below.

    You could rename the exiting sources.list file to sources.list.orig and make a new sources.list file with these lines and try and install the two files.

    If it doesnot work you can delete the sources.list file you made and restore the sources.list.orig back to sources.list

    file name=sources.list
    #placed in /etc/apt/ folder
    deb http://http.kali.org/kali kali main contrib non-free
    deb-src http://http.kali.org/kali kali main contrib non-free
    deb http://security.kali.org/kali-security kali/updates main contrib non-free
    deb-src http://security.kali.org/kali-security kali/updates main contrib non-free
    deb http://http.kali.org /kali main contrib non-free
    deb http://http.kali.org /wheezy main contrib non-free

  9. #9
    is it Possible to customize the Phishing page or Set our Custom Page as Phishing Page?? Any such option include in it ?? i Think it would be nice if we can easily able to customize our phishing page.

  10. #10
    Join Date
    2013-Jul
    Posts
    841
    Yes it is possible but you will have to understand the coding and how this program loads the page. You can leave the background etc and just change the text entries. That would be easiest. You can find the text entries by simply capturing a line of text from the phishing page open up the bash program and search Ctrl -F for this line of text. Then you can enter whatever text you want while still keeping the basic background etc. A Better program would be Pwnstar9.0. You can download the stock version. Musket Teams will load their newer version specifically for WPA Phishing under revision as we speak in a month or two depending on the wind and waves.

    MTeams
    Last edited by mmusket33; 2015-03-21 at 11:49.

  11. #11
    i Got it .. Thanks..
    your Linset version is base on linset 0.13 rev 33 but the latest is 0.14 rev 38 then why not modify 38 ?? (Much bugs already fix)
    And one more thing. add an option of "no select handshake". Like as far as i know in linset , without handshake you can't proceed further. so add another option of that you want to capture handshake (or something like that). it would be nice if you add this option in it. (sometimes capturing handshake is really annoying)..
    And another thing is Linset Not work with Https sites, so is this work with https too and i get the password in Unencrypted(plain text) form???
    Last edited by FurqanHanif; 2015-03-23 at 14:07.

  12. #12
    Join Date
    2015-Mar
    Posts
    8
    Hello !

    I still have the same problems I had with the original here. Everything works fine, but the fake page doesn't load on the victim browser. I tried many solutions, but none has worked. Is this version based on version 33 or 38 ?

    EDIT: the phishing page loads correctly if I attack using ralink RT2870/3070, but refuses to work with rtl8187 :/
    Last edited by Desuu; 2015-04-04 at 21:01.

  13. #13
    Join Date
    2015-Apr
    Posts
    2
    So Desuu, does this mean I have to buy a new radio to get linsetmv1-1.sh to work properly? I too got all five Xterm windows operating, but my victim station did not appear to be showing up in linset, nor did it appear to be affected by any deauthentication.

  14. #14
    Join Date
    2015-Aug
    Posts
    1
    Hey everyone! Hope all is well. I've been trying out some Pen testing with Linset but am I at a dead end and hoping someone can point me in the right direction. Once Linset runs and I make the selection to scan available networks I get the following error..I did look in that directory and found "dump-02.csv"

    wc: /tmp/TMPlinset/dump-01.csv: No such file or directory
    ./linset: line 976: [: -le: unary operator expected
    cat: /tmp/TMPlinset/dump-01.csv: No such file or directory
    expr: syntax error
    List of target APs

    # MAC CHAN SECU PWR ESSID

    grep: /tmp/TMPlinset/dump-01.csv:: No such file or directory
    grep: invalid: No such file or directory
    grep: number: No such file or directory
    grep: of: No such file or directory
    grep: lines: No such file or directory
    1) head: /tmp/TMPlinset/dump-01.csv: invalid number of lines 100%

    (*) Networks with clients
    Last edited by FlowRida; 2015-08-17 at 17:31.

  15. #15
    Join Date
    2013-Jul
    Posts
    841
    To all: If you are using the newer version of airmon-ng that gives a monitor like wlan0mon the program will not work but can be patched easily. If you are using Kali2.0 - The program cannot work due to numerous problems with Eterm, Network-manager and airbase-ng. A version that doesnot support an internet connection could be written but if we rewrite anything it will be Pwnstar9 first!

    To: radiogirl -MTeams uses the RTL8187 with linset and it works fine in kali1.10a.

    To: FlowRida

    MTeams will dust off linset and take a look at it again but our version was working fine the last time we released it. But we ONLY debugged the Phishing side - we did not even look at the handshake collection module. Anyway can you answer the following.

    1.Are you using the stock version or the musket team debugged version?

    2.What version of kali are you using?

    3. What attack were you performing or trying to perform?

    Your problems seems to be that the coding cannot read the airodump-ng csv file for a list of clients seen. There were several problems with the stock version on the phishing side all surrounding the use of the /tmp/TMPlinset folder.


    To Desuu: If you are using the stock version the problem is complicated - The program tries to write a php file from bash but during the output from bash the conversion to php fails. MTeam extracted this file and saved it with a text editor and had the linset program access the php file in the folder and everything worked fine. If you used the musket version we will take a look at it for you BUT we only suppot kali-linux up to 1.10a. We will rewrite for kali2.0 once the kali-teams sorts out the network-manager problem.
    Last edited by mmusket33; 2015-08-18 at 03:28.

  16. #16
    Join Date
    2013-Jul
    Posts
    841
    To FlowRida,

    MTeams ran up both the stock version and the MTeams version. The coding looked okay for the airodump-ng scan in boith and when we ran both programs there were no problems and all the csv files were there. When you Ctrl-C the program to continue from the original scan only Ctrl-C within the xterm window Not the program itself.

    MTeams

  17. #17
    Hi mmusket33 can i copy ur repositories for kali 1.10a? can't run mine, having trouble while installing lighttpd and hostapd. "unable to locate package" T.T, Thank's

  18. #18
    Join Date
    2013-Jul
    Posts
    841
    To hugakurium13

    MTeams is unsure how you want us to help you here. If you need to install linux programs and are having problems with kali1.10a you need to direct your questions in a different section in this forum. Furthermore MTeams is just another end user of kali-linux we are not part of the kali linux support staff. However if your problem is linset especially the musket version please ask again.

    MTeams

  19. #19
    Join Date
    2015-Dec
    Posts
    15
    Quote Originally Posted by mmusket33 View Post
    ... A Better program would be Pwnstar9.0. You can download the stock version. Musket Teams will load their newer version specifically for WPA Phishing under revision as we speak in a month or two depending on the wind and waves.

    MTeams
    Hi, is it possible to download the "Musket Teams" version anywhere?

  20. #20
    Join Date
    2015-Dec
    Posts
    3
    Cant we just use just use code from wifi-phisher for the phishing part and linset for the capturing? wifi-phisher has no problems serving up the phishing page and we wont need its jamming code because linset doesn't need a second wifi card.

    I wanted to do it but know i don't have the full knowledge, so i searched.

    This is the solution! If you've used used linset and wifi-phisher, you'll see they need to merge!

  21. #21
    Join Date
    2015-Dec
    Posts
    3
    oh yeah, just incase you want it, here is linset (v0.14 rev38) translated into english, just for the translations http://ge.tt/6jy7OCE2/v/0, please copy across the
    # Muestra el mensaje principal del script
    section of the script that gives Abacus VFX credit for the english revision.

  22. #22
    Join Date
    2014-Oct
    Posts
    14

    Lightbulb

    Someone went ahead and started working on linset for a 2016 version and it is supposedly supports SSL. I haven't tested it yet.

    http://www.datafilehost.com/d/11b06ce9

    Script is in Castilian.

  23. #23
    Join Date
    2015-Oct
    Posts
    16
    My TPLink external WiFi card isn't recognised :-/
    I guess its still a problem with it seeing wlan1mon?
    Last edited by nexusnexus; 2016-02-17 at 20:25.

  24. #24
    Join Date
    2015-Nov
    Posts
    24

    Look like linset problem in nethunter

    Quote Originally Posted by nexusnexus View Post
    My TPLink external WiFi card isn't recognised :-/
    I guess its still a problem with it seeing wlan1mon?
    I try to run linset with nethunter on nexus 7 any idea??? To resolve this problem?
    ################################################## #######
    # #
    # LINSET 0.14 by vk496 #
    # Linset Is Not a Social Enginering Tool #
    # #
    ################################################## #######


    xdpyinfo: unable to open display "".
    libudev: udev_has_devtmpfs: name_to_handle_at on /dev: Function not implemented
    wlan1mon, libudev: udev_has_devtmpfs: name_to_handle_at on /dev: Function not implemented
    libudev: udev_has_devtmpfs: name_to_handle_at on /dev: Function not implemented


    Autodetectando Resolucin...


    No se han encontrado tarjetas Wireless. Cerrando...


    [ ] Ejecutando la limpieza y cerrando.
    [-] Limpiando iptables
    [-] Restaurando tput
    [-] Eliminando archivos
    [-] Reiniciando NetworkManager
    [+] Limpiza efectuada con exito!
    root@kali:/linset#
    Last edited by Duane; 2016-02-17 at 21:09.

  25. #25
    Join Date
    2013-Jul
    Posts
    841
    To Duane and Scolder

    Thanks for pointing the newer version 38 out. MTeams tested this version in kali 1.10a, 2 and kali 2016 R. The program only runs at start in Kali1.10a as it only accepts the older version of airmon-ng.
    There may be other bugs but MTeams is busy updating Pwnstar9.0 for Kali 2016. Anyone wanting to work thru the bugs in Linset is welcome to consult with us here. The easiest way is to embed an older version of airmon-ng as a function() within the script itself. You can also consult our latest varmacscan and note how that program handles the different versions of kali.

    MTeam

  26. #26
    Join Date
    2015-Nov
    Posts
    24
    Quote Originally Posted by mmusket33 View Post
    To Duane and Scolder

    Thanks for pointing the newer version 38 out. MTeams tested this version in kali 1.10a, 2 and kali 2016 R. The program only runs at start in Kali1.10a as it only accepts the older version of airmon-ng.
    There may be other bugs but MTeams is busy updating Pwnstar9.0 for Kali 2016. Anyone wanting to work thru the bugs in Linset is welcome to consult with us here. The easiest way is to embed an older version of airmon-ng as a function() within the script itself. You can also consult our latest varmacscan and note how that program handles the different versions of kali.

    MTeam
    Do you think we can run Linset with Kali-nethunter?

  27. #27
    Join Date
    2013-Jul
    Posts
    841
    To Duane,

    MTeams does not have a Nexus device to test. In our areas these mobile phones are almost unknown. We tried to get a Nexus 4 but were unable to even find one(1).

    However if your Nethunter is running kali1.10a it should run the newer linset.

    If you find a way to load Nethunter onto a Galaxy let us know and we will begin supporting Nethunter versions as well.

    The problem at start is that linset is using output from the older airmon-ng. There also may be problems with ifconfig text output.

    We will issue an updated Pwnstar9,0 for Kali 1.10a,2 and 2016.1R soon with newer features. Testing is ongoing as we speak.

    We may then turn and debug linset again. BUT our interests are only with WPA Phishing.


    Musket Teams

  28. #28
    Join Date
    2016-Feb
    Posts
    2

    Unhappy issue on list of target

    hi i have the same issue too i my os is ubuntu 14.04 my installation works fine but i have an error when scanning wlan lts need your help mmusket33

    wc: /tmp/TMPlinset/dump-01.csv: No such file or directory
    ./linset: line 1423: [: -le: unary operator expected
    cat: /tmp/TMPlinset/dump-01.csv: No such file or directory
    expr: syntax error
    List of target APs

    # MAC CHAN SECU PWR ESSID

    grep: /tmp/TMPlinset/dump-01.csv:: No such file or directory
    grep: invalid: No such file or directory
    grep: number: No such file or directory
    grep: of: No such file or directory
    grep: lines: No such file or directory
    1) head: /tmp/TMPlinset/dump-01.csv: invalid number of lines

  29. #29
    Join Date
    2013-Jul
    Posts
    841
    To badlogic

    MTeams ran the linset2016.sh version up in kali-linux 1.10a. When the airodump-ng scan starts let it run for a bit. When you are ready to terminate the scan use the mouse to enter the xterm airodump-ng window and Ctrl-C within the window. The program then showed all the data collected in a drop down menu.

    MTeams

  30. #30
    Join Date
    2016-Feb
    Posts
    2
    so what you mean is it not advisable to use it in ubuntu you preferred to use it in kali linux where i can get this file linset2016.sh?

  31. #31
    Join Date
    2013-Jul
    Posts
    841
    To badlogic

    MTeams can only test the program with the Operating Systems(OS) we have. If you wish to use Ubuntu and the program runs use Ubuntu.
    As far as linset2016.sh, the link to the download is listed in a thread above. You never mentioned what version you were using so we took it as a given that you had read thru this thread before posting.
    MTeams has debuged the musket version at the start of this thread only.

    We suggest you download the latest kali-linux thru torrents, make a persistent usb and get familiar with this OS. When you feel comfortable you can try a Hard Drive install.
    MTeams

  32. #32
    Join Date
    2015-Nov
    Posts
    24
    Quote Originally Posted by mmusket33 View Post
    To Duane,

    MTeams does not have a Nexus device to test. In our areas these mobile phones are almost unknown. We tried to get a Nexus 4 but were unable to even find one(1).

    However if your Nethunter is running kali1.10a it should run the newer linset.

    If you find a way to load Nethunter onto a Galaxy let us know and we will begin supporting Nethunter versions as well.

    The problem at start is that linset is using output from the older airmon-ng. There also may be problems with ifconfig text output.

    We will issue an updated Pwnstar9,0 for Kali 1.10a,2 and 2016.1R soon with newer features. Testing is ongoing as we speak.

    We may then turn and debug linset again. BUT our interests are only with WPA Phishing.


    Musket Teams
    I wanna confirm Linset is working good with nexus 6 inside Kali-nethunter via VPN . I already successful test with my own network. But there is a small problem if victim (me) connected to AP with Iphone it doesn't work. Interface web sign-in is not display in safari .

  33. #33
    Join Date
    2016-Jan
    Posts
    51
    If you're using kali 2 or 2016 rolling, u would need to add the old airmon-ng to d same folder as linset.... And change the way airmon-ng is called within linset script Using find and replace.
    Last edited by Chunkingz; 2016-09-12 at 17:57.

Similar Threads

  1. Problems with networks around the team airodump-ng
    By best_vint in forum TroubleShooting Archive
    Replies: 0
    Last Post: 2014-11-13, 16:23
  2. Replies: 0
    Last Post: 2013-12-06, 00:38

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •